/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Copyright (C) 2010 France Telecom
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Extractor.java 7834 2011-03-17 15:13:37Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.service;

import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

import java.util.Date;

/**
 * Extractor used for Replay
 * @author durieuxp
 */
public abstract class Extractor extends Thread {

    /**
     * Logger.
     */
    protected final static Log logger = LogFactory.getLog(MonitoringService.class);

    protected DashboardDataCollector dbc;

    protected Date from;

    protected Date to;

    public Extractor(DashboardDataCollector dbc, Date from, Date to) {
        this.dbc = dbc;
        this.from = from;
        this.to = to;
    }
}
